<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-row" id="viewer">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-body">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="startTime" class="layui-input search-item" placeholder="开始时间" readonly>
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="endTime" class="layui-input search-item" placeholder="结束时间" readonly>
                        </div>
                        <div class="layui-inline layui-form search-item" >
                            <select id="check_status" name="check_status" lay-search>
                                <option value="">审核状态</option>
                                <option value="1">待审核</option>
                                <option value="0">未通过</option>
                                <option value="2">已通过</option>
                            </select>
                        </div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-sm" lay-event="checkEvent">
                                <i class="fa fa-lg fa-check"></i> 查看审核
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['element','index', 'table', 'laydate', 'common'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var laydate = layui.laydate;
        var element = layui.element;
        var common = layui.common;
        var resizeTimeout = null;
        var configTableCode = top.restAjax.params(window.location.href).configTableCode;
        var configTableId = top.restAjax.params(window.location.href).configTableId;
        var tableUrl = 'api/configtableoperation/listpage?backSystem=后台访问&configTableCode=' + configTableCode;
        var cols = [
            {type:'checkbox', fixed: 'left'},
            {field:'rowNum', width:80, title: '序号', fixed: 'left', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
            {field: 'creatorIcon', width: 180, title: '头像', align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    var creatorIcon = row['creatorIcon'];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    var value = '<img style="height: 30px;width: 30px;" src="'+ creatorIcon +'" >';
                    setTimeout(function() {
                        new Viewer(document.getElementById("viewer"),{
                            loop:true
                        });
                    }, 150);
                    return value;
                }
            }, {field: 'creatorNickName', width: 180, title: '昵称', align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    return rowData;
                }
            }, {field: 'gmt_create', width: 180, title: '发布时间', align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    return rowData;
                }
            }, {field: 'gmt_modified', width: 180, title: '修改时间', align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    return rowData;
                }
            },{field: 'check_remark', width: 280, title: '不通过原因', align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    return rowData;
                }
            },{field: 'check_status', width: 180, title: '审核状态', fixed: 'right',align:'center',
                templet: function(row) {
                    var rowData = row[this.field];
                    if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                        return '-';
                    }
                    if(rowData == 1) {
                        return  '<button type="button"  class="layui-btn layui-btn-xs layui-bg-blue">待审核</button>';
                    }else if(rowData == 2) {
                        return  '<button type="button"  class="layui-btn layui-btn-xs">已通过</button>';
                    }else{
                        return '<button type="button" class="layui-btn layui-btn-danger layui-btn-xs">未通过</button>';
                    }
                }
            }
        ];

        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, []),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 90,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                toolbar: '#headerToolBar',
                cols: [
                    cols
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, []),
                where: {
                    keywords: $('#keywords').val(),
                    startTime: $('#startTime').val(),
                    endTime: $('#endTime').val(),
                    check_status: $("#check_status").val()
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 90,
            });
        }
        // 初始化日期
        function initDate() {
            // 日期选择
            laydate.render({
                elem: '#startTime',
                format: 'yyyy-MM-dd'
            });
            laydate.render({
                elem: '#endTime',
                format: 'yyyy-MM-dd'
            });
        }

        function initColumn() {
            var layIndex;
            top.restAjax.get(top.restAjax.path('api/configtableoperation/list/{configTableCode}', [configTableCode]), {}, null, function (code, data) {
                for(var i = 0 ; i < data.length; i++) {
                    cols.push({field: data[i].name , width: 170, title: data[i].comment , align:'center'});
                }
                initTable();
            }, function (code, data) {
                top.dialog.msg(data.msg);
            }, function () {
                layIndex = top.dialog.msg(top.dataMessage.deleting, {icon: 16, time: 0, shade: 0.3});
            }, function () {
                top.dialog.close(layIndex);
            });
        }

        // initColumn();
        initTable();

        // 事件 - 增删改
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'checkEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    top.layer.open({
                        type: 2,
                        title: false,
                        closeBtn: 0,
                        area: ['90%', '90%'],
                        shadeClose: true,
                        anim: 2,
                        content: top.restAjax.path('route/configtableoperation/update?uid={uid}&configTableId={configTableId}', [checkDatas[0].uid, configTableId]),
                        end: function() {
                            reloadTable();
                        }
                    });
                }
            }
        });

        // 事件 - 页面变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });
    });
</script>
</body>
</html>